%define python python22
%define buildgtkhtml 0

Summary: The sources for the PyGNOME Python extension module
Name: gnome-python2
Version: 2.0.0
Release: alt4
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%version.tar.bz2

#Patch: gnome-python-1.99.11.druid_accessible.patch
Patch1: gnome-python-1.99.11-client-command.patch
License: LGPL
Group: Development/Other

# Automatically added by buildreq on Thu Oct 23 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig-devel freetype2-devel gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexpat-devel libgail-devel libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libnautilus-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel libzvt-devel pkgconfig pygtk2-devel pyorbit-devel python-devel zlib-devel

BuildRequires: pygtk2-devel = 2.0.0
BuildRequires: %{python}-devel
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: libgnomecanvas-devel >= 2.0.0
BuildRequires: libgnome-devel >= 2.0.0
#BuildRequires: libGConf2-devel >= 1.2.0
#if %{haveorbit}
Requires: gnome-python2-bonobo
#BuildRequires: orbit-python >= @ORBIT_PYTHON_VERSION@
#BuildRequires: bonobo-activation-devel >= 1.0.0
#BuildRequires: libbonobo-devel >= 2.0.0
#BuildRequires: libbonoboui-devel >= 2.0.0
BuildRequires: libnautilus-devel >= 2.0.0
BuildRequires: libeel2-devel
BuildRequires: gnome-panel >= 2.0.0
#endif
#if %{buildzvt}
BuildRequires: libzvt-devel >= 2.0.0
#endif
%if %{buildgtkhtml}
BuildRequires: libgtkhtml2-devel >= 2.0.0
%endif


%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package applet
Version: %version
Summary: Python bindings for GNOME Panel applets
Group: Development/Other
# applets from GNOME 1.4 are no longer supported - we only have 1 panel
Obsoletes: pygnome-applet
Requires: %name

%description applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package capplet
Version: %version
Summary: Python bindings for GNOME Panel applets
Group: Development/Other
Requires: %name

%description capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package canvas
Version: %version
Summary: Python bindings for the GNOME Canvas
Group: Development/Other
Requires: pygtk2 >= 2.0.0
Requires: libgnomecanvas >= 2.0.0
Requires: libgtk+2 >= 2.0.0
Requires: %name

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package zvt
Version: %version
Summary: Python bindings for the ZVT terminal widget
Group: Development/Other
Requires: libgnomecanvas >= 2.0.0
Requires: libgtk+2 >= 2.0.0
Requires: pygtk2 >= 2.0.0
Requires: libzvt >= 2.0.0
Requires: %name

%description zvt
This module contains a wrapper that allows use of the ZVT terminal
widget in Python.

%package nautilus
Version: %version
Summary: Python bindings for interacting with Nautilus
Group: Development/Other
Requires: libnautilus
Requires: %name

%description nautilus
This module contains a wrapper that allows access to Nautilus via Python.

%package bonobo
Version: %version
Summary: Python bindings for interacting with bonobo
Group: Development/Other
Requires: %name-canvas
Requires: %name

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.

%package gconf
Version: %version
Summary: Python bindings for interacting with GConf
Group: Development/Other
#equires: libGConf2 >= 1.2.0
Requires: %name

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%if %{buildgtkhtml}
%package gtkhtml2
Version: %version
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Other
Requires: libgtkhtml2 >= 2.0.0
Requires: %name

%description gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python
%endif

%prep
%setup -q -n gnome-python-%version
#patch -p1 -b .druid_accessible
%patch1 -p1 -b .client-command

%build
%configure
%make_build

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%files
%doc AUTHORS ChangeLog README NEWS
%dir %prefix/lib/python?.?/site-packages/gtk-2.0/gnome/
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/_gnome.so
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/ui.so
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/vfs.so
%dir %_libdir/pkgconfig
%_libdir/pkgconfig/gnome-python-2.0.pc
%dir %_datadir/pygtk/2.0/defs
%_datadir/pygtk/2.0/defs/*.defs

%files applet
%dir %prefix/lib/python?.?/site-packages/gtk-2.0/gnome/
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/applet.so

%files nautilus
%dir %prefix/lib/python?.?/site-packages/gtk-2.0/gnome/
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/nautilus.so
%doc examples/nautilus

%files canvas
%dir %prefix/lib/python?.?/site-packages/gtk-2.0/gnome/
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/canvas.so
%doc examples/canvas

%files zvt
%dir %prefix/lib/python?.?/site-packages/gtk-2.0/gnome/
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gtk-2.0/gnome/zvt.so
%doc examples/zvt

%files bonobo
%dir %prefix/lib/python?.?/site-packages/gtk-2.0/bonobo/
%prefix/lib/python?.?/site-packages/gtk-2.0/bonobo/__init__.*
%prefix/lib/python?.?/site-packages/gtk-2.0/bonobo/*.so
%doc examples/bonobo

%files gconf
%prefix/lib/python?.?/site-packages/gtk-2.0/gconf*
%doc examples/gconf

%if %{buildgtkhtml}
%files gtkhtml2
%prefix/lib/python?.?/site-packages/gtk-2.0/gtkhtml*
%doc examples/gtkhtml2
%endif

%changelog
* Wed Oct 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt4
- Added requires to subpackages 

* Fri Oct 24 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt3
- to %name-bonobo added dependency for %name-canvas 

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt2
- hasher rebuild 
- fixed buildrequires acording to package spec
- build w/o libgtkhtml2

* Mon Sep 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt1
- New version 

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.99.11-alt1
- first build for Sisyphus

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
